interpolate.h File Reference
`#include "groebner_defs.h"`

Go to the source code of this file.

## Namespaces

| polybori
| polybori::groebner

## Functions

MonomialSet | polybori::groebner::variety_lex_leading_terms (const MonomialSet &points, const Monomial &variables)
Polynomial | polybori::groebner::interpolate (MonomialSet to_zero, MonomialSet to_one)
Polynomial | polybori::groebner::interpolate_smallest_lex (MonomialSet to_zero, MonomialSet to_one)
MonomialSet | polybori::groebner::zeros (Polynomial p, MonomialSet candidates)
MonomialSet | polybori::groebner::include_divisors (const MonomialSet &m)
MonomialSet | polybori::groebner::nf_lex_points (const Polynomial &f, const MonomialSet &p)
std::vector< Polynomial > | polybori::groebner::variety_lex_groebner_basis (const MonomialSet &points, const Monomial &variables)